package com.postgres.util.cmd;

import java.util.*;

class FlagCmd extends GenericCmd {
	private Boolean argDest;
	protected Object get(){
		return argDest;
	}
	protected FlagCmd(String argID, boolean argDest) {
		super(argID);
		this.argDest = new Boolean(argDest);
	}
	protected int set(String args[], int iThisIndex) {
		if (!wasSet) {
			//boolean bTmp = argDest.booleanValue();
			//argDest = new Boolean(!bTmp);
			wasSet = true;
		}
		return iThisIndex;
	}
}
